<?php
	require substr(dirname(__FILE__),0,-7).'/include/common.inc.php';
	if($module->module_disabled('notice'))
	{
		show404('该模块已被管理员禁用!');
	}
	$langdir=$childsite['site_dir']?$childsite['site_dir']:'zh-cn';
	$langfile=DIRCMS_ROOT.'notice/data/lang/'.$langdir.'/lang.inc.php';
	if(!file_exists($langfile))
	{
		$langfile=DIRCMS_ROOT.'notice/data/lang/zh-cn/lang.inc.php';
	}

	include_once $langfile;

	include dirname(__FILE__).'/include/notice.class.php';
	$notice= new notice();
	if(isset($id))
	{
		$notice->show($id);
	}
	else
	{
		$page=isset($page)?max(intval($page),1):1;
		include template('index','notice');
	}
?>